import { memo } from "react";
import { useStepContext } from "@/app/(clean)/signup/Context";
import Link from "next/link";
import FigmaCross from '@/components/icons/FigmaCross';
import FigmaArrow from '@/components/icons/FigmaArrow';

export default memo(function Header(){
	const [step, setStep] = useStepContext();
	const tab  = ['Getting started', 'Contact Information', 'Find your address'];
	return <>
		<section className="max-w-7xl mx-auto my-2.5 grid grid-cols-[1fr_1fr_1fr] items-center">
			<div className="flex items-center">
				{
					step>0 &&
					<button  className="h-12 w-12 p-0 fill-black hover:fill-brand-orange" onClick={()=>{setStep(step-1)}} >
						<div className="btn btn-sm btn-ghost w-full h-full rounded-full p-0 hover:bg-transparent"><FigmaArrow /></div>
					</button>
				}
				<p className="w-7 h-7 rounded-full font-bold leading-[15px] flex items-center justify-center bg-red-500 text-white">{step+1}</p>
				<p className="text-black font-bold leading-[15px] ms-2.5">{tab[step]}</p>
			</div>
			<Link className="justify-self-center" href="/"><img src='https://ik.imagekit.io/choreless/v2/icons/choreless.svg' alt='Choreless' loading='lazy' className='h-[1.95rem] [@media(min-width:350px)]:h-9 [@media(min-width:450px)]:h-12 xl:h-[3.75rem]' /></Link>
			<Link href='/' className="h-12 w-12 p-2 justify-self-end">
				<div className="btn btn-sm btn-ghost w-full h-full p-1.5 stroke-brand-orange hover:stroke-white hover:bg-brand-orange"><FigmaCross /></div>
			</Link>
		</section>
		<div className="h-[1px] bg-[#F2F2F2]" />
	</>
})
